## org.jfree.chart.urls
Interface PieURLGenerator

All Known Implementing Classes:
  CustomPieURLGenerator, StandardPieURLGenerator

public interface PieURLGenerator

Interface for a URL generator for plots that use data from a `PieDataset`.

Author:
  Richard Atkinson

Method Summary
`java.lang.String` `generateURL(PieDataset data, java.lang.Comparable key, int pieIndex)` Generates a URL for one item in a `PieDataset`.

Method Detail

### generateURL

    public java.lang.String generateURL(PieDataset data,
                                        java.lang.Comparable key,
                                        int pieIndex)

  Generates a URL for one item in a `PieDataset`.

  Parameters:
    `data` - the dataset.
    `key` - the item key.
    `pieIndex` - the pie index (differentiates between pies in a 'multi' pie chart).
  Returns:
    a string containing the URL.